Bug 1418 - swat and recycle
swat and recycle
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: SWAT
3.0.4
x86 Linux
: P3 normal
: none
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-30 12:38 UTC by jaroslav serdula
Modified: 2005-08-24 10:26 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jaroslav serdula 2004-05-30 12:38:19 UTC
Hi,

When I have this in my smb.conf

	[share]
		...
		vfs objects = recycle
		recycle:repository = .recycled


After any changes made by swat i get this:

	[share]
		...
		vfs objects = recycle
		recycle:repository = .recycled
		recycle:repository = .recycled
		recycle:repository = .recycled
		recycle:repository = .recycled
		recycle:repository = .recycled
		...  about 250 times ...
		recycle:repository = .recycled


Thanks
Comment 1 Philip Ross 2004-09-04 11:50:10 UTC
I am seeing the same problem with SWAT and the recycle VFS object on Samba 3.0.5
on Debian Woody.

The options for recycle get duplicated hundreds of times and the share
configuration options become interspersed between them.
Comment 2 Gerald (Jerry) Carter 2004-09-05 05:02:02 UTC
This was fixed in 3.0.6 IIRC.
Comment 3 Philip Ross 2004-09-14 04:04:22 UTC
The option duplication is fixed for me in 3.0.6.

The vfs options do still change order on each save through SWAT though.
Comment 4 Gerald (Jerry) Carter 2005-08-24 10:26:52 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.